Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package reporters
  Definition Classes
    nsc
- AbstractReporter
- ConsoleReporter
- CountingReporter
- DefaultReporter
- DisplayReporter
- Filtering
- FilteringReporter
- LimitFilter
- NoReporter
- PositionFilter
- PositionFiltering
- PrintReporter
- Reporter
- StoreReporter
- SummaryReporter

c

scala.tools.nsc.reporters

# DisplayReporter

###
Companion object DisplayReporter

#### class DisplayReporter extends reflect.internal.Reporter with PrintReporter

This class implements a Reporter that displays messages on a text console.

Source
  DisplayReporter.scala

Linear Supertypes
PrintReporter, reflect.internal.Reporter, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DisplayReporter
2. PrintReporter
3. Reporter
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new DisplayReporter(settings: Settings, reader: BufferedReader, writer: PrintWriter, echoWriter: PrintWriter)

### Type Members

1.  class Severity extends AnyRef
   Definition Classes
     Reporter

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from DisplayReporter toany2stringadd[DisplayReporter] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (DisplayReporter, B)
   Implicit
     This member is added by an implicit conversion from DisplayReporter toArrowAssoc[DisplayReporter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def close(): Unit
   Definition Classes
     PrintReporter
9.  def count(severity: Severity): Int
   Definition Classes
     Reporter
10.  def display(pos: Position, msg: String, severity: Severity): Unit

    Format a message and emit it.

    Format a message and emit it.

    Definition Classes
      PrintReporter
11.  def displayPrompt(): Unit
    Definition Classes
      PrintReporter
12.  def echo(pos: Position, msg: String): Unit
    Definition Classes
      Reporter
13.  def echo(msg: String): Unit
    Definition Classes
      Reporter
14.  val echoWriter: PrintWriter
    Definition Classes
      DisplayReporter → PrintReporter
15.  def ensuring(cond: (DisplayReporter) => Boolean, msg: => Any): DisplayReporter
    Implicit
      This member is added by an implicit conversion from DisplayReporter toEnsuring[DisplayReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  def ensuring(cond: (DisplayReporter) => Boolean): DisplayReporter
    Implicit
      This member is added by an implicit conversion from DisplayReporter toEnsuring[DisplayReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  def ensuring(cond: Boolean, msg: => Any): DisplayReporter
    Implicit
      This member is added by an implicit conversion from DisplayReporter toEnsuring[DisplayReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
18.  def ensuring(cond: Boolean): DisplayReporter
    Implicit
      This member is added by an implicit conversion from DisplayReporter toEnsuring[DisplayReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
19.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
21.  def error(pos: Position, msg: String): Unit
    Definition Classes
      Reporter
22.  def errorCount: Int
    Definition Classes
      Reporter
23.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
24.  def finish(): Unit
    Definition Classes
      Reporter
25.  def flush(): Unit
    Definition Classes
      PrintReporter → Reporter
26.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from DisplayReporter toStringFormat[DisplayReporter] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
27.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
28.  def hasErrors: Boolean
    Definition Classes
      Reporter
29.  def hasWarnings: Boolean
    Definition Classes
      Reporter
30.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
31.  def info0(pos: Position, msg: String, severity: Severity, force: Boolean): Unit
    Definition Classes
      DisplayReporter → Reporter
32.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
33.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
34.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
35.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
36.  val reader: BufferedReader
    Definition Classes
      DisplayReporter → PrintReporter
37.  def rerunWithDetails(setting: Setting, name: String): String
    Definition Classes
      Reporter
38.  def reset(): Unit
    Definition Classes
      Reporter
39.  def resetCount(severity: Severity): Unit
    Definition Classes
      Reporter
40.  val settings: Settings
    Definition Classes
      DisplayReporter → PrintReporter
41.  val shortname: Boolean

    Whether a short file name should be displayed before errors

    Whether a short file name should be displayed before errors

    Definition Classes
      PrintReporter
42.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
43.  def toString(): String
    Definition Classes
      AnyRef → Any
44.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
45.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
46.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
47.  def warning(pos: Position, msg: String): Unit
    Definition Classes
      Reporter
48.  def warningCount: Int
    Definition Classes
      Reporter
49.  val writer: PrintWriter
    Definition Classes
      DisplayReporter → PrintReporter
50.  object ERROR extends Severity
    Definition Classes
      Reporter
51.  object INFO extends Severity
    Definition Classes
      Reporter
52.  object WARNING extends Severity
    Definition Classes
      Reporter

### Deprecated Value Members

1.  def →[B](y: B): (DisplayReporter, B)
   Implicit
     This member is added by an implicit conversion from DisplayReporter toArrowAssoc[DisplayReporter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from PrintReporter

### Inherited from reflect.internal.Reporter

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromDisplayReporter to any2stringadd[DisplayReporter]

### Inherited by implicit conversion StringFormat fromDisplayReporter to StringFormat[DisplayReporter]

### Inherited by implicit conversion Ensuring fromDisplayReporter to Ensuring[DisplayReporter]

### Inherited by implicit conversion ArrowAssoc fromDisplayReporter to ArrowAssoc[DisplayReporter]

### Ungrouped